# $Revision: 1.8 $, $Date: 2012/01/16 15:53:24 $
#
Summary:	SIPp - a performance testing tool for the SIP protocol
Name:		sipp
Version:	3.0
Release:	5
License:	GPL v2+ except two files under BSD
Group:		Applications
Source0:	http://dl.sourceforge.net/sipp/%{name}-%{version}.src.tar.gz
# Source0-md5:	31906c63eb5efa09e0b148c27435cdac
Patch0:		%{name}-headers.patch
URL:		http://sipp.sourceforge.net/
BuildRequires:	libpcap-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SIPp is a performance testing tool for the SIP protocol. It includes a
few basic SipStone user agent scenarios (UAC and UAS) and establishes
and releases multiple calls with the INVITE and BYE methods. It can
also reads XML scenario files describing any performance testing
configuration. It features the dynamic display of statistics about
running tests (call rate, round trip delay, and message statistics),
periodic CSV statistics dumps, TCP and UDP over multiple sockets or
multiplexed with retransmission management, regular expressions and
variables in scenario files, and dynamically adjustable call rates.

SIPp can be used to test many real SIP equipements like SIP proxies,
B2BUAs, SIP media servers, SIP/x gateways, SIP PBX, ... It is also
very useful to emulate thousands of user agents calling your SIP
system.

%prep
%setup -q -n %{name}-%{version}.src
%patch0 -p1

%build

%{__make} pcapplay_ossl \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CCLINK="%{__cxx}" \
	EXTRACFLAGS="%{rpmcflags}" \
	EXTRACPPFLAGS="%{rpmcxxflags}" \
	EXTRALFLAGS="%{rpmldflags}" \
	INCDIR="-I. -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install sipp $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt MEDIA.txt README.txt pcap tools
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sipp.spec,v $
Revision 1.8  2012/01/16 15:53:24  lisu
- no more separated libtinfo(w)

Revision 1.7  2011/08/31 18:32:19  arekm
- release 5

Revision 1.6  2011/04/04 09:02:27  jajcus
- link with libtinfo (needed for the new ncurses)

Revision 1.5  2010/11/13 12:09:02  pawelz
- release 4

Revision 1.4  2010/04/11 17:05:55  arekm
- release 3

Revision 1.3  2010/04/03 17:25:46  glen
- release 2

Revision 1.2  2008/08/21 12:32:24  arekm
- fix build

Revision 1.1  2008-03-04 15:47:17  jajcus
- new spec

